Redis NoSQL Databases(2.6.14): Como instalarlo en OpenSuse 12.3 (linux)

Bueno ahora veremos como instalar redis en OpenSuse 12.3.

  • 1. El primero necesitamos descargar el .tar.gz ya se en su vserion Stable/Dev Release.
  • 2. Extraemos en contenido dentro de /tmp.
    redis-e
  • 3. Compilamos;
    $ cd redis-2.6.14
    $ make
    $ make test
    $ make install

    Compruebe si la compilación se realizó correctamente.

  • 4. Copie el archivo redis.conf a /etc/redis/
    # sudo cp redis.conf /etc/redis/redis.conf

    Si el directorio no está disponible en / etc /, cree una carpeta llamada redis y copiar el archivo de configuración.

  • 5. Para iniciar el servidor de redis en el puerto 6379,
    $ redis-server /etc/redis/redis.conf
  • 6. Agregamos el siguiente fichero en /etc/init.d/redis-servidor con el cual se iniciara redis server
    #! /bin/sh
    ### BEGIN INIT INFO
    # Provides:		redis-server
    # Required-Start:	$syslog
    # Required-Stop:	$syslog
    # Should-Start:		$local_fs
    # Should-Stop:		$local_fs
    # Default-Start:	2 3 4 5
    # Default-Stop:		0 1 6
    # Short-Description:	redis-server - Persistent key-value db
    # Description:		redis-server - Persistent key-value db
    ### END INIT INFO
    
    PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
    DAEMON=/usr/bin/redis-server
    DAEMON_ARGS=/etc/redis/redis.conf
    NAME=redis-server
    DESC=redis-server
    PIDFILE=/var/run/redis.pid
    
    test -x $DAEMON || exit 0
    test -x $DAEMONBOOTSTRAP || exit 0
    
    set -e
    
    case "$1" in
      start)
    	echo -n "Starting $DESC: "
    	touch $PIDFILE
    	chown redis:redis $PIDFILE
    	if start-stop-daemon --start --quiet --umask 007 --pidfile $PIDFILE --chuid redis:redis --exec $DAEMON -- $DAEMON_ARGS
    	then
    		echo "$NAME."
    	else
    		echo "failed"
    	fi
    	;;
      stop)
    	echo -n "Stopping $DESC: "
    	if start-stop-daemon --stop --retry 10 --quiet --oknodo --pidfile $PIDFILE --exec $DAEMON
    	then
    		echo "$NAME."
    	else
    		echo "failed"
    	fi
    	rm -f $PIDFILE
    	;;
    
      restart|force-reload)
    	${0} stop
    	${0} start
    	;;
      *)
    	echo "Usage: /etc/init.d/$NAME {start|stop|restart|force-reload}" >&2
    	exit 1
    	;;
    esac
    
    exit 0
  • 7. Puede iniciar y detener servidores redistribución utilizando,
    sudo /etc/init.d/redis-server start
    sudo /etc/init.d/redis-server stop
  • 8. Finalmente iniciamos la consola de redis
    $ sudo /etc/init.d/redis-server start
    $ redis-cli
  • 9. El famoso Hello World(Inserting (hello, world) Key, Value Pair:)
    >set hello world
    OK

    Getting “world” Value from “hello” Key:

    >get hello
    “world”

fuentes:
http://tutorialforlinux.com/2013/07/getting-started-with-redis-nosql-database-on-linux-opensuse-step-by-step-easy-guide/

http://www.arunchinnachamy.com/howto-install-latest-redis-version-2-4-17/

http://www.art-coder.com/2011/12/01/how-to-run-redis-server-as-daemon/

MongoDB: Conceptos basicos por @karlseguin

mongoDB Si estan empezando con MongoDB este estos conceptos seran de mucha utilidad para ti.

Comenzamos nuestro viaje conociendo la mecánica básica de trabajar con MongoDB. Obviamente este es el núcleo para entender MongoDB, pero también nos ayuda a responder dudas técnicas acerca de MongoDB.

Para comenzar, hay seis simples conceptos que necesitamos entender.

  • MongoDB tiene el mismo concepto de ‘base de datos’ con el que probablemente estés familiarizado (o un schema para los amigos de Oracle). En una instancia de MongoDB puedes tener cero o mas bases de datos, cada una actuando como un contenedor de alto nivel para todo lo demás.
  • Una base de datos puede tener cero o mas ‘colecciones’. Una colección comparte lo suficiente con lo que es tradicionalmente una tabla por lo que puedes pensar en ellas como la misma cosa.
  • Las colecciones están hechas de cero o mas ‘documentos’. De nuevo, un documento puede ser visto como una ‘fila’.
  • Un documento esta compuesto de uno o mas ‘campos’, probablemente puedas adivinar que son las ‘columnas’.
  • ‘Indices’ en MongoDB funcionan muy parecido a sus equivalentes en RDBMS.
  • ‘Cursores’ son un concepto diferente de los otros 5 pero son tan importantes, y comúnmente pasados por alto, que pienso valdría la pena crear un tema de discusión para ellos. Lo importante a entender sobre los cursores es que cuando le pides datos a MongoDB, mongo retorna un cursor, con el que podemos hacer algunas cosas, como contar o saltar algún dato, sin descargarlos de hecho.

Para resumir

MongoDB esta hecho de bases de datos que contienen colecciones. Una coleccion esta hecha de documentos. Cada documento esta compuesto de campos. Las colecciones pueden ser indexadas, lo cual mejora la búsqueda y ordenamiento. Finalmente, cuando obtenemos datos de MongoDB lo hacemos a través de un cursor cuya ejecución es retrasada hasta que sea necesario.

Te preguntaras, porque usar una nueva terminología (<b>colecciones</b> vs tablas, <b> documentos</b> vs filas y campos vs colum-
nas). Es solo para hacer las cosas mas complicadas? La verdad es que mientras estos conceptos son similares a sus contrapartes en base de datos relacionales, no son idénticos. La diferencia principal viene del hecho de que las bases de datos relacionales definen columnas a nivel de la tabla mientras que bases de datos orientadas a documentos definen sus campos a nivel de documento. Eso es, cada documento dentro de una coleccion puede tener su propio y único set de campos. Por lo tanto una coleccion es un contenedor silencioso en comparación a una tabla, mientras que un documento tiene mucha mas información que una fila.

How to Install MongoDB on openSUSE 12.3

Open Terminal and switch to root user.

gjpv@linux-5jy8:~> su

 Installing MangoDB:

We need to add repository in our system, so add the following file under the /etc/yum.repos.d directory.

linux-5jy8:/home/gjpv # zypper ar http://download.opensuse.org/repositories/server:/database/openSUSE_12.3/server:database.repo

Screenshot from 2013-07-03 23:34:46

Refresh the system repository, you might require to accept the gpg key for caching the mongodb repo.

linux-5jy8:/home/gjpv # zypper ref

Install MongoDB.

linux-5jy8:/home/gjpv # zypper in mongodb

Screenshot from 2013-07-03 23:41:10
Screenshot from 2013-07-03 23:47:05

Controling MongoDB:

MongoDB can be start / stop by easy known commands.

Using normal init scripts.

linux-5jy8:/home/gjpv # /etc/init.d/mongodb start
linux-5jy8:/home/gjpv # /etc/init.d/mongodb stop

or using systemctl command.

linux-5jy8:/home/gjpv # systemctl start mongodb.service
linux-5jy8:/home/gjpv # systemctl stop mongodb.service

To enable auto start of service while booting, issue the following command.

linux-5jy8:/home/gjpv # systemctl enable mongodb.service

Confirm the version of MongoDB.

linux-5jy8:/home/gjpv # mongod --version

Screenshot from 2013-07-03 23:55:41

Fuentes 1
fuente 2